/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gui.tblmodel;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import model.Student;

/**
 *
 * @author student1
 */
public class TblModelStudent extends AbstractTableModel {

    List<Student> studenti;

    public TblModelStudent(List<Student> studenti) {
        this.studenti = studenti;
    }

    @Override
    public int getRowCount() {
        return studenti.size();
    }

    @Override
    public int getColumnCount() {
        return 3;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Student s = studenti.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return s.getIme();
            case 1:
                return s.getPrezime();
            case 2:
                return s.getBrIndexa();
            default:
                return "N/A";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0:
                return "IME";
            case 1:
                return "PREZIME";
            case 2:
                return "BROJ INDEXA";
            default:
                return "N/A";
        }
    }
    
}
